﻿$ErrorActionPreference = 'Stop';

$packageName    = 'unity-android'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/787658998520/TargetSupportInstaller/UnitySetup-Android-Support-for-Editor-2018.2.0f2.exe'
$checksum64     = '804817c6396e8b15d7cff6081da806c0c56bff45bd74c349bc51afe1225f45d0'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
